<?php
/*
	Last News : Plugin for GuppY 4.6,
	under CeCILL v2 Free Software Agreement
	Copyright (C) 2007- by  HPSAM
	Web site = http://www.hpsam.info
*/

// @todo Add test for forum other than guppy forum

header("Pragma: no-cache");
define("CHEMIN", "../../");
include(CHEMIN."inc/includes.inc");

include_once(CHEMIN."plugins/last_news/inc/function.inc");
include_once(CHEMIN."plugins/last_news/inc/function_cbox.inc");
if (is_file(LN_CONFIG.'5'.INCEXT)) {
	include(LN_CONFIG.'5'.INCEXT);

	$sectionList = array(
	// DB name, title, link, image, affichage
		1 => array("ag",$ln_web100,"agenda","agenda",AreaDisplayLN(14,$ln_cfg_pp[0][3])),
		2 => array("art",$ln_web110,"articles","articles",AreaDisplayLN(1,$ln_cfg_pp[0][3])),
		3 => array("reac",$ln_web120,"articles","react",AreaDisplayLN(1,$ln_cfg_pp[0][3])),
		4 => array("blog",$ln_web130,"blogs","blog",AreaDisplayLN(15,$ln_cfg_pp[0][3])),
		5 => array("reblog",$ln_web140,"blog","react",AreaDisplayLN(15,$ln_cfg_pp[0][3])),
		6 => array("faq",$ln_web150,"faq","faq",AreaDisplayLN(4,$ln_cfg_pp[0][3])),
		7 => array("forum",$ln_web160,"thread","forum",AreaDisplayLN(5,$ln_cfg_pp[0][3])),
		8 => array("link",$ln_web170,"links","links",AreaDisplayLN(3,$ln_cfg_pp[0][3])),
		9 => array("guest",$ln_web180,"guestbk","guestbook",AreaDisplayLN(12,$ln_cfg_pp[0][3])),
		10 => array("news",$ln_web190,"news","news",AreaDisplayLN(13,$ln_cfg_pp[0][3])),
		11 => array("photo",$ln_web200,"photo","photo",AreaDisplayLN(2,$ln_cfg_pp[0][3])),
		12 => array("dwnld",$ln_web210,"download","download",AreaDisplayLN(7,$ln_cfg_pp[0][3]))
	);

// *************** We generate the database
	 $dbwork_ag = array(); $dbwork_art = array(); $dbwork_reac = array(); $dbwork_blog = array();
	$dbwork_reblog = array(); $dbwork_faq = array(); $dbwork_forum = array(); $dbwork_guest = array();
	$dbwork_link = array(); $dbwork_news = array(); $dbwork_photo = array(); $dbwork_dwnld = array();

	if ($ln_cfg_pp[1][0]!="" || $ln_cfg_pp[1][4]!="" && $sectionList[1][4]!='nodisplay') {
		$dbwork_ag = SelectAgendaPostFileByStatusLN(ReadDBFields(DBAGENDA),$ln_cfg_pp[1][0],$ln_cfg_pp[1][4],4,$ln_cfg_pp[1][1],$sectionList[1][4]);
	}
	if ($ln_cfg_pp[2][0]!="" && $sectionList[2][4]!='nodisplay') {
		$dbwork_art = SelectRecentPostFileByStatusLN(ReadDBFields(DBART),$ln_cfg_pp[2][0],4,$ln_cfg_pp[2][1],$sectionList[2][4]);
	}
	if ($ln_cfg_pp[3][0]!="" && $sectionList[3][4]!='nodisplay') {
		$dbwork_reac = SelectRecentPostFileByStatusLN(ReadDBFields(DBREACT),$ln_cfg_pp[3][0],0,$ln_cfg_pp[3][1],$sectionList[3][4],2);
	}
	if ($ln_cfg_pp[4][0]!="" && $sectionList[4][4]!='nodisplay') {
		$dbwork_blog = SelectRecentPostFileByStatusLN(ReadDBFields(DBBLOG),$ln_cfg_pp[4][0],4,$ln_cfg_pp[4][1],$sectionList[4][4]);
	}
	if ($ln_cfg_pp[5][0]!="" && $sectionList[5][4]!='nodisplay') {
		$dbwork_reblog = SelectRecentPostFileByStatusLN(ReadDBFields(DBREBLOG),$ln_cfg_pp[5][0],0,$ln_cfg_pp[5][1],$sectionList[5][4],2);
	}
	if ($ln_cfg_pp[6][0]!="" && $sectionList[6][4]!='nodisplay') {
		$dbwork_faq = SelectRecentPostFileByStatusLN(ReadDBFields(DBFAQ),$ln_cfg_pp[6][0],4,$ln_cfg_pp[6][1],$sectionList[6][4]);
	}
	if ($ln_cfg_pp[7][0]!="" && $sectionList[7][4]!='nodisplay') {
		$dbwork_forum = SelectRecentForumPostByStatusLN(ReadDBFields(DBTHREAD),$ln_cfg_pp[7][0],$ln_cfg_pp[7][1],$ln_cfg_pp[7][4],$sectionList[7][4]);
	}
	if ($ln_cfg_pp[8][0]!="" && $sectionList[8][4]!='nodisplay') {
		$dbwork_link = SelectRecentPostFileByStatusLN(ReadDBFields(DBLINKS),$ln_cfg_pp[8][0],4,$ln_cfg_pp[8][1],$sectionList[8][4]);
	}
	if ($ln_cfg_pp[9][0]!="" && $sectionList[9][4]!='nodisplay') {
		$dbwork_guest = SelectRecentPostFileByStatusLN(SelectDBFields(TYP_GUESTBK,'a',''),$ln_cfg_pp[9][0],1,$ln_cfg_pp[9][1],$sectionList[9][4]);
	}
	if ($ln_cfg_pp[10][0]!="" && $sectionList[10][4]!='nodisplay') {
		$dbwork_news = SelectRecentPostFileByStatusLN(SelectDBFields(TYP_NEWS,'a',''),$ln_cfg_pp[10][0],1,$ln_cfg_pp[10][1],$sectionList[10][4]);
	}
	if ($ln_cfg_pp[11][0]!="" && $sectionList[11][4]!='nodisplay') {
		$dbwork_photo = SelectRecentPostFileByStatusLN(ReadDBFields(DBPHOTO),$ln_cfg_pp[11][0],4,$ln_cfg_pp[11][1],$sectionList[11][4]);
	}
	if ($ln_cfg_pp[12][0]!="" && $sectionList[12][4]!='nodisplay') {
		$dbwork_dwnld = SelectRecentPostFileByStatusLN(ReadDBFields(DBDNLOAD),$ln_cfg_pp[12][0],4,$ln_cfg_pp[12][1],$sectionList[12][4]);
	}
// ************* We display the datas

	$topmess = ($lng==$lang[1])?$ln_cfg_pp[0][1]:$ln_cfg_pp[0][0];
	include(CHEMIN."inc/hpage.inc");
	if ($page[9]!="") $topmess = '<img src="'.CHEMIN.'plugins/last_news/last_news.gif" align="right" alt="logo" />'.$topmess;
	htable($topmess, "100%");
	?><style type="text/css">
@import url(<?php echo CHEMIN; ?>plugins/last_news/lastnews.css);
</style><?php
	// Affichage des flux RSS disponible
	if (is_file(LN_CONFIG.'3'.INCEXT)) {
		include_once(LN_CONFIG.'3'.INCEXT);
		$ln_RSSList = ListAllRSSLN($sectionList);

		if (is_array($ln_RSSList)){
			echo '<form action="'.CHEMIN.'plugins/last_news/lastnews_rss.php?lng='.$lng.'" method="get" enctype="text/plain">' .
				'    <img src="'.CHEMIN.'inc/img/general/rss.gif" alt="RSS" />' .
				'    <select name="fl" id="fl">';
			for($i=0; $i<=13; $i++){
				if ($ln_RSSList[$i])
					echo '        <option value="'.$i.'">'.${'ln_web'.(30+$i)}."</option>\n";
			}
			echo "</select>\n" .
				$boutonleft.'<button type="submit" title="'.$ln_web14.'">'.$ln_web14.'</button>'.$boutonright .
				"\n</form>\n";
		}
	}

	// Affichage des sections
	for($i=1; $i<=13; $i++){
		// Type of photo gallery
		if ($ln_cfg[1]=="on" && $i == 11) {
			if ($ln_cfg[0]=="on") $sectionList[$i][2] = CHEMIN."plugins/photogd/photogd";
			elseif ($serviz[21] == "on") $sectionList[$i][2] = "photorama";
			else $sectionList[$i][2] = "photos";
		}
		// Use Plugin DownloadPlus
		elseif ($ln_cfg[1]=="on" && $i == 12) $sectionList[$i][2] = "downloadplus";
		// Linuxmr Compatibilit Openfiches ===>
		if ($i==13) {
			// Vrification si prsence du fichier contenant toutes les openfiches cres par copiefiches,  un seul rpertoire est prsent  l'installation de Openfiches */
			if (file_exists(CHEMIN."plugins/openfiches/configuration/fiches-config.inc")) {
				include(CHEMIN."plugins/openfiches/configuration/fiches-config.inc");

				if ($ln_cfg_pp[13][0] !== "" ) {
					if ($configopenfiches[49] !== "") { $ln_cfg_pp[13][0] = $configopenfiches[49]; }
					else { $configopenfiches[49] = $ln_cfg_pp[13][0]; }
				}
				else {
					if ($configopenfiches[49] !== "") { $ln_cfg_pp[13][0] = $configopenfiches[49]; }
					else { $configopenfiches[49] = $ln_cfg_pp[13][0]; }
				}

				if ($configopenfiches[49]!="" ) {
					if (file_exists(CHEMIN."plugins/openfiches/data/copiefiches.inc")) {
						if (file_exists(CHEMIN."plugins/openfiches/listfiches.php")) {
							include (CHEMIN."plugins/openfiches/listfiches.php");
						}
						else {
							echo "<b>'plugins/openfiches/listfiches.php' not found, install the <a href=\"http://www.les-rosiers.info\" title=\"Author Site\">compatible OpenFiches Plugin. </a><br />'plugins/openfiches/listfiches.php' non trouv, installer le <a href=\"http://www.les-rosiers.info\" title=\"Author Site\">Plugin Openfiches Compatible</a></b>";
						}
					}
				}
			}
		}
		// <=== Linuxmr Compatibilit Openfiches
		else {
			ViewLastPostLN(${'dbwork_'.$sectionList[$i][0]},$sectionList[$i][1],$sectionList[$i][2],$sectionList[$i][3],$ln_cfg_pp[$i][0],$ln_cfg_pp[$i][2],$ln_cfg_pp[$i][4]);
			unset(${'dbwork_'.$sectionList[$i][0]});
		}
	}
	if (($serviz[32]=="on" && !empty($serviz[31]) && $serviz[31]==$userprefs[1]) || ($serviz[32]=="on" && $drtuser['last_news']=="on")) {
		?>
  <p align="right"><a href="<?php echo CHEMIN; ?>admin/admin.php?lng=<?php echo $lng; ?>&amp;pg=plugin&amp;plug=last_news/last_news&amp;lnp=pp"><img src="<?php echo CHEMIN; ?>inc/img/general/edit.gif" border="0"  title="<?php echo $web308; ?>" alt="<?php echo $web308; ?>" /></a></p>
		<?php
	}
	btable();
}
else echo "Save configuration first";
include(CHEMIN."inc/bpage.inc");
?>